<?xml version="1.0" encoding="UTF-8" ?>
<CFOUTPUT>
<!--- ====	City.cfm  --->
<!--- =================================================== --->
<!--  copyright 2003 by voxeo corporation. (see LGPL.txt)  -->
<!--- =================================================== --->
<CFSET Version= "1.0">
<CFSET RunID= "23">

<!--- =================================================== --->

<!--  ====  Version = #Version#  RunID: #RunID#  ====  -->
<!--- =================================================== --->
<vxml version="2.0">


<meta name="maintainer" content="mhenry@voxeo.com" />

</CFOUTPUT>
<CFPARAM NAME="URL.NextStep" DEFAULT="Greeting">
<!--- =================================================== --->
<CFIF ParameterExists(URL.NextStep)>
<!--- =================================================== --->
	<CFSWITCH EXPRESSION="#URL.NextStep#">
<!--- =================================================== --->
	<CFCASE VALUE="Greeting">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#  ****  RunID: #RunID#'" level="STATUS" />
			<prompt>
				<audio src="Audio/Greeting.wav"/>
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="MainMenu">
	<CFOUTPUT>

	<var name="zipHold"/>
	<var name="stateHold"/>

	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
		</block>

		<field name="choice" slot="choiceSlot">
			<prompt>
				<audio src="Audio/MainMenu.wav"/>
			</prompt>

			<grammar src="City.gsl##ChoiceGrammar"/>

			<noinput>
				<log expr="'#URL.NextStep#: noinput'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoInput.wav"/>
				</prompt>
				<reprompt/>
			</noinput>

			<nomatch>
				<log expr="'#URL.NextStep#: nomatch'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoMatch.wav"/>
				</prompt>
				<reprompt/>
			</nomatch>

			<help>
				<log expr="'#URL.NextStep#: help'" level="STATUS" />
				<prompt>
					<audio src="Audio/Help.wav"/>
				</prompt>
				<reprompt/>
			</help>
		</field>

		<filled namelist="choice">
			<log expr="'#URL.NextStep#: filled'" level="STATUS" />
			<if cond="choice == 'zipcode'">


				<assign name="zipHold" 
					expr="choice$.interpretation.choice"/>	

				
				<goto next="##zipcode"/>

			<elseif cond="choice == 'state'"/>
				<assign name="stateHold"
					expr="choice$.interpretation.stateSlot"/>
<log expr=" '***** STATE HOLD = ' + stateHold + '*****'"/>

				<goto next="##state"/>

			<elseif cond="choice == 'quit'"/>
				<goto next="##quit"/>

			<elseif cond="choice == 'version'"/>
				<goto next="##version"/>

			<else/>
				<log expr="'#URL.NextStep#: choice == unknown: ' + choice" level="WARNING" />
				<goto next="##unknown"/>

			</if>
		</filled>
	</form>

	<form id="zipcode">
		<block>
			<var name="NextStep" expr="'CheckZip'"/>
			<var name="zipcodeField" expr="zipHold"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' zipcodeField = ' + zipcodeField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep zipcodeField"/>
		</block>
	</form>

	<form id="state">
		<block>
			<var name="NextStep" expr="'GetCity'"/>
			<var name="stateField" expr="stateHold"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' stateField = ' + stateField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep stateField"/>
		</block>
	</form>

	<form id="quit">
		<block>
			<var name="NextStep" expr="'DoDisconnect'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep "/>
		</block>
	</form>

	<form id="version">
		<block>
			<var name="NextStep" expr="'Version'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep "/>
		</block>
	</form>

	<form id="unknown">
		<block>
			<prompt>
				<audio src="Audio/NoMatch.wav"/>
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<log expr="'#URL.NextStep#: Unknown choice, NextStep = ' + NextStep" level="WARNING" />
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->
<!--- =================================================== --->

	<CFCASE VALUE="CheckZip">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />

			<CFIF ParameterExists(URL.zipcodeField)>

			<log expr="'#URL.NextStep#: zipcodeField = #URL.zipcodeField#'" level="STATUS" />

			<CFELSE>

			<log expr="'#URL.NextStep#: zipcodeField not defined.'" level="WARNING" />

			<prompt>
				Zipcode did not make it here.
			</prompt>

			</CFIF>
			
			<CFQUERY name="CountZip" datasource="ZIP">
				SELECT
					*
				FROM	PostalCodes
				WHERE	PostalCodes.Zipcode = '#URL.zipcodeField#'
			</CFQUERY>
			
			<CFIF CountZip.RecordCount IS "0">

			<log expr="'#URL.NextStep#: Count = 0'" level="STATUS"/>
			<var name="NextStep" expr="'ZipNotFound'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep"/>
			
			<CFELSEIF CountZip.RecordCount IS "1">

			<log expr="'#URL.NextStep#: Count = 1'" level="STATUS"/>
			<var name="NextStep" expr="'ZipFoundOne'"/>
			<var name="zipcodeField" expr="'#URL.zipcodeField#'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' zipcodeField = ' + zipcodeField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep zipcodeField"/>
			
			<CFELSE>

			<log expr="'#URL.NextStep#: Count = #CountZip.RecordCount#'" level="STATUS"/>
			<var name="NextStep" expr="'ZipFoundMany'"/>
			<var name="zipcodeField" expr="'#URL.zipcodeField#'"/>
			<var name="zipcodeCount" expr="'#CountZip.RecordCount#'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' zipcode = ' + zipcodeField + ' count = ' + zipcodeCount" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep zipcodeField zipcodeCount"/>
			
			</CFIF>

		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="ZipFoundOne">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			
	</CFOUTPUT>
	
		<CFQUERY name="GetOneZip" datasource="ZIP" maxrows=1 >
			SELECT
				PostalCodes.City   AS DBCity,
				PostalCodes.County AS DBCounty,
				StateNames.StateFullName  AS DBState
			FROM	PostalCodes, StateNames
			WHERE	PostalCodes.Zipcode = '#URL.zipcodeField#'
			AND		StateNames.State = PostalCodes.State
		</CFQUERY>
		
	<CFOUTPUT QUERY="GetOneZip">
			
		<prompt>
			<audio src="Audio/TheZipcode.wav"/>
			#left( URL.zipcodeField, 1 )#,
			#mid( URL.zipcodeField, 2, 1)#
			#mid( URL.zipcodeField, 3, 1)#,
			#mid( URL.zipcodeField, 4, 1)#
			#right( URL.zipcodeField, 1 )#,

			<audio src="Audio/IsIn.wav"/>
			<audio src="Audio/City.wav"/>
			#DBCity#
			<audio src="Audio/County.wav"/>
			#DBCounty#
			<audio src="Audio/State.wav"/>
			#DBState#
		</prompt>
		<var name="NextStep" expr="'LocateAnother'"/>
		<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="ZipFoundMany">
	<CFOUTPUT>
			
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
		</block>
		
		<field name="confirmField" slot="confirmSlot">
			<prompt>
				<audio src="Audio/ThereAre.wav"/>
				#URL.zipcodeCount#
				<audio src="Audio/MatchesZip.wav"/>
					
				<audio src="Audio/WouldHear.wav"/>
			</prompt>
					
			<grammar src="City.gsl##ConfirmGrammar"/>

			<noinput>
				<log expr="'#URL.NextStep#: noinput'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoInput.wav"/>
				</prompt>
				<reprompt/>
			</noinput>
					
			<nomatch>
				<log expr="'#URL.NextStep#: nomatch'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoMatch.wav"/>
				</prompt>
				<reprompt/>
			</nomatch>
					
			<help>
				<log expr="'#URL.NextStep#: help'" level="STATUS" />
				<prompt>
					<audio src="Audio/Help.wav"/>
				</prompt>
				<reprompt/>
			</help>
		</field>

		<filled namelist="confirmField">
			<log expr="'#URL.NextStep#: filled'" level="STATUS" />

			<if cond="confirmField == 'yes'">
				<goto next="##doYes"/>

			<elseif cond="confirmField == 'no'"/>
				<goto next="##doNo"/>
				

			<else/>
				<log expr="'#URL.NextStep#: confirmField = ' + confirmField" level="WARNING" />
				<goto next="##doUnknown"/>

			</if>
		</filled>
	</form>
	
	<form id="doYes">
		<block>
			<log expr="'#URL.NextStep#: Yes'" level="STATUS" />
			<var name="NextStep" expr="'ZipPlayMany'"/>
			<var name="zipcodeField" expr="'#URL.zipcodeField#'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' zipcodeField = ' + zipcodeField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep zipcodeField"/>
		</block>
	</form>

	<form id="doNo">
		<block>
			<log expr="'#URL.NextStep#: No'" level="STATUS" />
			<var name="NextStep" expr="'ZipTooMany'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	<form id="doUnknown">
		<block>
			<prompt>
				<audio src="Audio/NoMatch.wav"/>
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<log expr="'#URL.NextStep#: Unknown choice, NextStep = ' + NextStep" level="WARNING" />
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="ZipPlayMany">
	<CFOUTPUT>

	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			
		<prompt>
			<audio src="Audio/TheZipcode.wav"/>
			#left( URL.zipcodeField, 1 )#,
			#mid( URL.zipcodeField, 2, 1)#
			#mid( URL.zipcodeField, 3, 1)#,
			#mid( URL.zipcodeField, 4, 1)#
			#right( URL.zipcodeField, 1 )#,

			<audio src="Audio/IsIn.wav"/>
		</prompt>

	</CFOUTPUT>

	
		<CFQUERY name="ReadZip" datasource="ZIP">
			SELECT
				PostalCodes.City   AS DBCity,
				PostalCodes.County AS DBCounty,
				StateNames.StateFullName  AS DBState
			FROM	PostalCodes, StateNames
			WHERE	PostalCodes.Zipcode = '#URL.zipcodeField#'
			AND		StateNames.State = PostalCodes.State
			ORDER	BY PostalCodes.City
		</CFQUERY>
		
	<CFOUTPUT QUERY="ReadZip">

		<prompt>
			<audio src="Audio/City.wav"/>
			#DBCity#
			<audio src="Audio/County.wav"/>
			#DBCounty#
			<audio src="Audio/State.wav"/>
			#DBState#
		</prompt>
	</CFOUTPUT>
	
		<var name="NextStep" expr="'LocateAnother'"/>
		<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="ZipTooMany">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<var name="NextStep" expr="'TryAnother'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="ZipNotFound">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<prompt>
				<audio src="Audio/ZipNotFound.wav"/>
			</prompt>
			<var name="NextStep" expr="'TryAnother'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->
<!--- =================================================== --->

	<CFCASE VALUE="GetCity">
	<CFOUTPUT>

	<var name="cityHold"/>

	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
		</block>

		<field name="cityField" slot="citySlot">
			<prompt>
				<audio src="Audio/SayCity.wav"/>
			</prompt>

			<grammar src="CityGSL.cfm?stateField=#URL.stateField###CityGrammar"/>

			<noinput>
				<log expr="'#URL.NextStep#: noinput'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoInput.wav"/>
				</prompt>
				<reprompt/>
			</noinput>

			<nomatch>
				<log expr="'#URL.NextStep#: nomatch'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoMatch.wav"/>
				</prompt>
				<reprompt/>
			</nomatch>

			<help>
				<log expr="'#URL.NextStep#: help'" level="STATUS" />
				<prompt>
					<audio src="Audio/Help.wav"/>
				</prompt>
				<reprompt/>
			</help>
		</field>

		<filled namelist="cityField">
			<log expr="'#URL.NextStep#: filled'" level="STATUS" />
			<assign name="cityHold" expr="cityField"/>
			<goto next="##doCity"/>
		</filled>
	</form>

	<form id="doCity">
		<block>
			<var name="NextStep" expr="'CheckCity'"/>
			<var name="stateField" expr="'#URL.stateField#'"/>
			<var name="cityField" expr="cityHold"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' state = ' + stateField + ' city = ' + cityField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep stateField cityField"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="CheckCity">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />

			<CFQUERY name="CountZip" datasource="ZIP">
				SELECT
					*
				FROM	PostalCodes
				WHERE	PostalCodes.State = '#URL.stateField#'
				AND		PostalCodes.City  = '#URL.cityField#'
			</CFQUERY>
			
			<CFIF CountZip.RecordCount IS "0">

			<log expr="'#URL.NextStep#: Count = 0'" level="STATUS"/>
			<var name="NextStep" expr="'CityNotFound'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep"/>
			
			<CFELSEIF CountZip.RecordCount IS "1">

			<log expr="'#URL.NextStep#: Count = 1'" level="STATUS"/>
			<var name="NextStep" expr="'CityFoundOne'"/>
			<var name="stateField" expr="'#URL.stateField#'"/>
			<var name="cityField" expr="'#URL.cityField#'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' state = ' + stateField + ' city = ' + cityField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep stateField cityField"/>
			
			<CFELSE>

			<log expr="'#URL.NextStep#: Count = #CountZip.RecordCount#'" level="STATUS"/>
			<var name="NextStep" expr="'CityFoundMany'"/>
			<var name="stateField" expr="'#URL.stateField#'"/>
			<var name="cityField" expr="'#URL.cityField#'"/>
			<var name="zipcodeCount" expr="'#CountZip.RecordCount#'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' state = ' + stateField + ' city = ' + cityField + ' count = ' + zipcodeCount" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep stateField cityField zipcodeCount"/>

			</CFIF>

		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="CityFoundOne">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			
	</CFOUTPUT>
	
		<CFQUERY name="GetOneZip" datasource="ZIP" maxrows=1 >
			SELECT
				PostalCodes.Zipcode       AS DBZipcode,
				StateNames.StateFullName  AS DBState
			FROM	PostalCodes, StateNames
			WHERE	PostalCodes.State = '#URL.stateField#'
			AND		PostalCodes.City  = '#URL.cityField#'
			AND		StateNames.State = PostalCodes.State
		</CFQUERY>
		
	<CFOUTPUT QUERY="GetOneZip">
			
		<prompt>
			<audio src="Audio/ZipCity.wav"/>
			#URL.cityField#
			<audio src="Audio/InState.wav"/>
			#DBState#
			<audio src="Audio/Is.wav"/>
			#left( DBZipcode, 1 )#,
			#mid( DBZipcode, 2, 1)#
			#mid( DBZipcode, 3, 1)#,
			#mid( DBZipcode, 4, 1)#
			#mid( DBZipcode, 5, 1)#,
		</prompt>
		<var name="NextStep" expr="'LocateAnother'"/>
		<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="CityFoundMany">
		<CFOUTPUT>
			
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
		</block>
		
		<field name="confirmField" slot="confirmSlot">
			<prompt>
				<audio src="Audio/ThereAre.wav"/>
				#URL.zipcodeCount#
				<audio src="Audio/MatchesCity.wav"/>
					
				<audio src="Audio/WouldHear.wav"/>
			</prompt>
					
			<grammar src="City.gsl##ConfirmGrammar"/>

			<noinput>
				<log expr="'#URL.NextStep#: noinput'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoInput.wav"/>
				</prompt>
				<reprompt/>
			</noinput>
					
			<nomatch>
				<log expr="'#URL.NextStep#: nomatch'" level="STATUS" />
				<prompt>
					<audio src="Audio/NoMatch.wav"/>
				</prompt>
				<reprompt/>
			</nomatch>
					
			<help>
				<log expr="'#URL.NextStep#: help'" level="STATUS" />
				<prompt>
					<audio src="Audio/Help.wav"/>
				</prompt>
				<reprompt/>
			</help>
		</field>

		<filled namelist="confirmField">
			<log expr="'#URL.NextStep#: filled'" level="STATUS" />

			<if cond="confirmField == 'yes'">
				<goto next="##doYes"/>

			<elseif cond="confirmField == 'no'"/>
				<goto next="##doNo"/>
				

			<else/>
				<log expr="'#URL.NextStep#: confirmField = ' + confirmField" level="WARNING" />
				<goto next="##doUnknown"/>

			</if>
		</filled>
	</form>
	
	<form id="doYes">
		<block>
			<log expr="'#URL.NextStep#: Yes'" level="STATUS" />
			<var name="NextStep" expr="'CityPlayMany'"/>
			<var name="stateField" expr="'#URL.stateField#'"/>
			<var name="cityField" expr="'#URL.cityField#'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep + ' state = ' + stateField + ' city = ' + cityField" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep stateField cityField"/>
		</block>
	</form>

	<form id="doNo">
		<block>
			<log expr="'#URL.NextStep#: No'" level="STATUS" />
			<var name="NextStep" expr="'CityTooMany'"/>
			<log expr="'#URL.NextStep#: NextStep = ' + NextStep" level="STATUS" />
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	<form id="doUnknown">
		<block>
			<prompt>
				<audio src="Audio/NoMatch.wav"/>
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<log expr="'#URL.NextStep#: Unknown choice, NextStep = ' + NextStep" level="WARNING" />
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>

	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="CityPlayMany">
	<CFOUTPUT>

	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			
		<prompt>
			<audio src="Audio/TheseZipCity.wav"/>
			#URL.cityField#
			<audio src="Audio/InState.wav"/>
	</CFOUTPUT>
		
		<CFQUERY name="ReadState" datasource="ZIP" maxrows=1 >
			SELECT
				StateNames.StateFullName  AS DBState
			FROM	StateNames
			WHERE	StateNames.State = '#URL.stateField#'
		</CFQUERY>
		
	<CFOUTPUT QUERY="ReadState">
			#DBState#
	</CFOUTPUT>
		</prompt>
	
		<CFQUERY name="ReadZip" datasource="ZIP">
			SELECT
				PostalCodes.Zipcode       AS DBZipcode
			FROM	PostalCodes
			WHERE	PostalCodes.State = '#URL.stateField#'
			AND		PostalCodes.City  = '#URL.cityField#'
			ORDER	BY PostalCodes.Zipcode
		</CFQUERY>
		
	<CFOUTPUT QUERY="ReadZip">
		<prompt>
			<audio src="Audio/TheZipcode.wav"/>
			#left( DBZipcode, 1 )#,
			#mid( DBZipcode, 2, 1)#
			#mid( DBZipcode, 3, 1)#,
			#mid( DBZipcode, 4, 1)#
			#mid( DBZipcode, 5, 1)#,
		</prompt>
	</CFOUTPUT>
	
		<var name="NextStep" expr="'LocateAnother'"/>
		<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="CityTooMany">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<var name="NextStep" expr="'TryAnother'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="CityNotFound">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<prompt>
				<audio src="Audio/CityNotFound.wav"/>
			</prompt>
			<var name="NextStep" expr="'TryAnother'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->
<!--- =================================================== --->

	<CFCASE VALUE="TryAnother">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<prompt>
				<audio src="Audio/TryAnother.wav"/>
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->

	<CFCASE VALUE="LocateAnother">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<prompt>
				<audio src="Audio/LocateAnother.wav"/>
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->
<!--- =================================================== --->

	<CFCASE VALUE="DoDisconnect">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<prompt>
				<audio src="Audio/Disconnect.wav"/>
			</prompt>
			<exit/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->
<!--- =================================================== --->

	<CFCASE VALUE="Version">
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep#'" level="STATUS" />
			<log expr="'#URL.NextStep# Copyright, 2000, voxeo corporation.'" level="STATUS" />
			<log expr="'#URL.NextStep# Version is #Version#'" level="STATUS" />
			<prompt>
				Copyright, 2000, vock say oh, corporation.
				Version is, #Version#.
			</prompt>
			<var name="NextStep" expr="'MainMenu'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFCASE>

<!--- =================================================== --->
<!--- =================================================== --->

	<CFDEFAULTCASE>
	<CFOUTPUT>
		
	<form id="#URL.NextStep#Form">
		<block>
			<log expr="'#URL.NextStep# Default case.'" level="WARNING" />
			<prompt>
				Not found, case #URL.NextStep#, restarting 
			</prompt>
			<var name="NextStep" expr="'Greeting'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

	</CFOUTPUT>
	</CFDEFAULTCASE>
		
<!--- =================================================== --->

	</CFSWITCH>

<!--- =================================================== --->

<CFELSE>

	<form id="ElseForm">
		<block>
			<log expr="'Else, URL.NextStep is empty.'" level="WARNING" />
			<var name="NextStep" expr="'Greeting'"/>
			<submit next="City.cfm" namelist="NextStep"/>
		</block>
	</form>

</CFIF>

<!--- =================================================== --->

</vxml>

<!--- =================================================== --->

<!--- ====	End of City.cfm	 --->

